Bug 1626956 - Internal Server error when matcher #23 is created for smart class parameter
Summary: Internal Server error when matcher #23 is created for smart class parameter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Smart Variables
Version: 6.3.2
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-10 07:50 UTC by Michal Dekan
Modified: 2019-10-14 12:56 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:05 UTC

Description Michal Dekan 2018-09-10 07:50:52 UTC
Description of problem:

Documentation says following browsers are fully supported[1]:

========
 The following web browsers are fully supported:

    Firefox versions 39 and later 
========

However when you try to add 23 matchers for Smart class parameters you get Internal Server error.


[1] https://access.redhat.com/documentation/en-us/red_hat_satellite/6.3/html-single/installation_guide/index#supported_browsers.adoc

Version-Release number of selected component (if applicable):

Satellite 6.3.3.

How reproducible:

Go to Configure -> Smart class parameters, choose some class parameter and define 22 matchers.


Steps to Reproduce:
1. In Firefox 49 or 54 Go to Configure -> Smart class parameters, choose some class parameter and define 22 matchers.
2. Click submit (saved successfully)
3. Define matcher #23 and click submit.

Actual results:

----------
Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator at [no address given] to inform them of the time this error occurred, and the actions you performed just before this error.

More information about this error may be available in the server error log.
----------

Expected results:

Matcher #23 submitted successfully.

Additional info:

Firefox 54 (tested internally):

==> /var/log/httpd/foreman-ssl_access_ssl.log <==
10.34.26.110 - - [07/Sep/2018:14:21:11 +0200] "POST /puppetclass_lookup_keys/521-config_epp HTTP/1.1" 500 531 "https://satellite.usersys.redhat.com/puppetclass_lookup_keys" "Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:54.0) Gecko/20100

==> /var/log/httpd/foreman-ssl_error_ssl.log
[Fri Sep 07 14:21:11.797374 2018] [core:error] [pid 3735] [client 10.34.26.110:53388] End of script output before headers: puppetclass_lookup_keys, referer: https://satellite.usersys.redhat.com/puppetclass_lookup_keys

Firefox 49 (log from customer):

./var/log/httpd/foreman-ssl_access_ssl.log

XXXXX - - [21/Aug/2018:15:01:17 +0200] "POST /puppetclass_lookup_keys/51-servers HTTP/1.1" 500 531 "https://satellite.example.com/puppetclass_lookup_keys?page=2&search=ntp&utf8=%E2%9C%93" "Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:49.0) Gecko/20100101 Firefox/49.0"

Matcher #23 can be submitted successfully in Firefox 60 (tested internally).

Comment 3 orabin 2019-02-11 08:47:53 UTC
According to Comment #2 this was fixed by the fix for https://bugzilla.redhat.com/show_bug.cgi?id=1565373 in Satellite 6.4.1

Comment 7 Bryan Kearney 2019-02-21 20:20:11 UTC
Moving to 6.5 based on comment 3

Comment 8 Peter Ondrejka 2019-03-06 17:12:50 UTC
verified on sat 6.5 snap 18

Comment 11 errata-xmlrpc 2019-05-14 12:37:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.